summaryrefslogtreecommitdiffstats
path: root/network/museek-plus/museek-plus.SlackBuild
diff options
context:
space:
mode:
author Iskar Enev <iskar.enev@gmail.com>2010-05-11 19:45:56 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 19:45:56 +0200
commit6ac329997c30473276230442c9c1bf3c8ee9b981 (patch)
treeda9e780c33cdb75107de53f1026cf78cd2c6e9bd /network/museek-plus/museek-plus.SlackBuild
parentbfcbe9eacf6db21ab6c359297e374f1c6e6e80e7 (diff)
downloadslackbuilds-6ac329997c30473276230442c9c1bf3c8ee9b981.tar.gz
slackbuilds-6ac329997c30473276230442c9c1bf3c8ee9b981.tar.xz
network/museek-plus: Updated for version 0.1.13
Diffstat (limited to 'network/museek-plus/museek-plus.SlackBuild')
-rw-r--r--network/museek-plus/museek-plus.SlackBuild57
1 files changed, 32 insertions, 25 deletions
diff --git a/network/museek-plus/museek-plus.SlackBuild b/network/museek-plus/museek-plus.SlackBuild
index 7596ad9916..3daf7e058c 100644
--- a/network/museek-plus/museek-plus.SlackBuild
+++ b/network/museek-plus/museek-plus.SlackBuild
@@ -1,13 +1,13 @@
#!/bin/sh
# Slackware build script for museek+
-# Written by Iskar Enev <iskar.enev@gmail.com>
+# Written by Iskar Enev <iskar.enev[@]gmail.com>
-# modified by the SlackBuilds project.
+set -e
PRGNAM=museek-plus
PKGNAME=museek+
-VERSION=0.1.12
+VERSION=0.1.13
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -24,47 +24,54 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PKGNAME-$VERSION
-tar -xjvf $CWD/$PKGNAME-$VERSION.tar.bz2 || exit 1
-cd $PKGNAME-$VERSION || exit 1
+tar xvf $CWD/$PKGNAME-$VERSION.tar.bz2
+cd $PKGNAME-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-# This patch fixes several SCons related compile problems
-cat $CWD/museek-scons.patch | patch -p0 || exit 1
+# Allow museeq to compile without QSA (which is optional)
+cat $CWD/museek-qsa.patch | patch -p0
-# All options and build targets can be found at http://www.museek-plus.org/wiki/MuseekFromSources
-scons CFLAGS="-fPIC -Wall -pipe $SLKCFLAGS" PREFIX=/usr DESTDIR=$PKG RELEASE=yes install || exit 1
+cmake -DPREFIX=/usr \
+ -DMANDIR=man \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DSWIG_DIR:PATH=`swig -swiglib` \
+ -DEVERYTHING=1 \
+ -DTRAYICON=1 \
+ -DBINRELOC=0
+
+make VERBOSE=1
+make install VERBOSE=1 DESTDIR=$PKG
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-mkdir -p $PKG/usr/share/pixmaps/museek
-cp -a icons/*.png $PKG/usr/share/pixmaps/museek
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
-mkdir -p $PKG/usr/share/applications
-cp -a museeq.desktop $PKG/usr/share/applications
+rm -rf $PKG/usr/share/config.xml.tmpl
-# Fix icon path in desktop file
-sed -i 's%Icon=/usr/share/pixmaps/museeq-circle2.png%Icon=/usr/share/pixmaps/museek/museeq-circle2.png%' \
- $PKG/usr/share/applications/museeq.desktop || exit 1
+mkdir -p $PKG/usr/share/museek/museeq/icons
+mv $PKG/usr/share/museek/museeq/{bluebox,default,mikelabo-silk,mikelabo-tri} \
+ $PKG/usr/share/museek/museeq/icons
mkdir -p $PKG/usr/doc/$PKGNAME-$VERSION
-cp -a CHANGELOG COPYING CREDITS FILES INSTALL INSTRUCTIONS LICENSE README TODO doc/protocol.tmpl \
- $PKG/usr/doc/$PKGNAME-$VERSION
+cp -a CHANGELOG COPYING CREDITS FILES INSTALL* INSTRUCTIONS LICENSE \
+ README TODO doc/protocol.tmpl $PKG/usr/doc/$PKGNAME-$VERSION
+chmod 644 $PKG/usr/doc/$PKGNAME-$VERSION/*
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PKGNAME-$VERSION/$PRGNAM.SlackBuild
-cat $CWD/rc.museekd > $PKG/usr/doc/$PKGNAME-$VERSION/rc.museekd
-
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+cat $CWD/rc.museekd > $PKG/usr/doc/$PKGNAME-$VERSION/rc.museekd.new
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PKGNAME-$VERSION-$ARCH-$BUILD$TAG.tgz